Skip to content

Retrieve Complete Audit History for a Single Object Record

Retrieve complete audit history for a single object record.

Vault does not audit individual field values for newly created records. For example, the audit trail for a new Product record would only include a single entry, and the Event Description would be “Product: CholeCap created”. We recommend exporting the current record along with the audit trail to ensure a complete export of all values. When a user deletes an object record, the audit trail captures all field values.

GET/api/{version}/vobjects/{object_name}/{object_record_id}/audittrail
NameDescription
Acceptapplication/json (default)
NameDescription
{object_name}The name__v of the object for which to retrieve audit history.
{object_record_id}The object record ID for which to retrieve audit history.
NameDescription
start_dateSpecify a start date to retrieve audit history. Dates must be YYYY-MM-DDTHH:MM:SSZ format, for example, 7AM on January 15, 2018 would use 2018-01-15T07:00:00Z. If omitted, defaults to the Vault's creation date.
end_dateSpecify an end date to retrieve audit history. Dates must be YYYY-MM-DDTHH:MM:SSZ format, for example, 7AM on January 15, 2018 would use 2018-01-15T07:00:00Z. If omitted, defaults to today’s date.
format_resultTo request a CSV file of your audit history, use csv.
limitPaginate the results by specifying the maximum number of histories per page in the response. This can be any value between 1 and 1000. If omitted, defaults to 200.
offsetPaginate the results displayed per page by specifying the amount of offset from the entry returned. For example, if you are viewing the first 50 results (page 1) and want to see the next page, set this to offset=51. If omitted, defaults to 0.
eventsProvide a comma-separated list of one or more audit events to retrieve their audit history. See Vault Help for a full list of object audit events. The values passed to this parameter are case sensitive. For example, events=Copy,Edit,Delete. If omitted, defaults to all audit events.

Dates and times are in UTC. If the time is not specified, it will default to midnight (T00:00:00Z) on the specified date.

curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v24.2/vobjects/product__v/00P000000000119/audittrail?start_date=2021-04-22T23:00:00Z&end_date=2021-04-23T23:43:00Z
{ "responseStatus": "SUCCESS", "responseDetails": { "offset": 200, "limit": 200, "size": 1, "total": 1, "object": { "name": "object_audit_trail", "label": "Object Audit Trail", "url": "/api/v24.2/metadata/audittrail/object_audit_trail" }, "previous_page": "/api/v24.2/vobjects/product__v/00P000000000119/audittrail?offset=0&limit=200&uuid=dcff7510-0143-4487-bafe-77d7e63059a2" }, "data": [ { "id": "1807", "timestamp": "2021-04-23T23:41:43Z", "user_name": "olive@veepharm.com", "full_name": "Olivia Cattington", "action": "Edit", "item": "Product : Gludacta", "field_label": "Compound ID", "field_name": "compound_id__v", "old_value": null, "new_value": "null", "old_display_value": null, "new_display_value": "751789", "record_id": "00P000000000119", "object_label": "Product", "object_name": "product__v", "workflow_name": null, "task_name": null, "verdict": null, "reason": null, "capacity": null, "event_description": "\"Compound ID\" set to \"751789\" " } ] }

On SUCCESS, the response includes some of the following metadata: